- Qt 5.15
- Qt D-Bus
- qt_generate_dbus_interface
- Qt 5.15.19 Reference Documentation

# qt_generate_dbus_interface

## Synopsis

     # added in Qt 5.15
     qt_generate_dbus_interface(header
         [customName]
         [OPTIONS options]
     )

     qt5_generate_dbus_interface(header
         [customName]
         [OPTIONS options]
     )

## Description

Parses the C++ source or header file containing a QObject-derived class declaration and generates a file containing the D-BUS Introspection XML.

By default, the generated XML file is stored in the current binary directory, and has the same base name as the header. You can specify a different name or path by adding `customName` as an optional second argument.

## Options

The function sets up a call to the `qdbuscpp2xml` command line tool. Further arguments to the tool can be set after `OPTIONS`.